const system = require("../../../system");
const ServiceBase = require("../../sve.base")

/**
 * 订单产品表
 */
class OorderService extends ServiceBase {
  constructor() {
    super("order", ServiceBase.getDaoName(OorderService));
  }

  /**
   *  新增渠道订单
   * @returns {Promise<void>}
   */
  async addSourceOrder(params) {
    // 整理参数
    let productId = Number(params.productId);
    let sourceId = Number(params.sourceId);



    // 查询产品订单状态

    // 合并订单状态

    // 开启事务

    // 插入订单数据

    // 插入订单状态数据
  }

  /**
   * 新建进度
   * @param params
   * @returns {Promise<void>}
   */
  async createProcess(params) {
    // 整理参数 变成这个格式，id, status, params

    // 查询订单

    // 找出订单下个状态，于参数订单状态匹配

    // 调用状态func(order, nextObj, params)
  }
}

module.exports = OorderService;